.calc-checkbox label {
    transition: 0.3s color;
}

.calc-checkbox:hover label {
    color: #DE8A03;
}
.calc-step {
    --tooltip: 52px;
}
.calc-step .tooltip-container {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}
.tooltip-container:has(.tooltip-info) .tooltip-button {
    width: 20px;
    height: 20px;
    background: transparent;
    color: #b1b1b1;
    border: 1px solid currentColor;
    font-size: 12px;
    font-weight: 400;
}

.tooltip-info {
    font-weight: 400;
    font-size: 17px;
    color: #000;
    line-height: 100%;
    border-bottom: 1px dotted currentColor;
}
.calc-step .tooltip-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: calc(100% + 30px);
    height: var(--tooltip);
    transform: translate(-50%, -100%);
}

.tooltip-container.-bottom .tooltip-text {
    overflow: unset;
    top: auto;
    bottom: -20px;
    left: 15px;
    right: auto;
    transform: translate(-50%, 100%);
}
.tooltip-container.-bottom .tooltip-text::after {
    bottom: auto;
    z-index: 1;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 20px;
    height: 20px;
    background-color: #fff;
}
.calc-step .tooltip-container.-bottom::before {
    top: auto;
    bottom: 0;
    transform: translate(-50%, 100%);
}
.calc-step .tooltip-text {
    z-index: 5;
    left: auto;
    right: -13px;
    bottom: var(--tooltip);
    box-shadow: 0 4px 28px 0 rgba(157, 113, 19, 0.28);
    filter: unset;
}

.calc-step.-border {
    margin-bottom: 30px;
    padding: 24px;
    border: 1px solid #FDC650;
}

.calc-step__title {
    margin-bottom: 30px;
    font-weight: 700;
    font-size: 27px;
}
.calc-step__title:has(.tooltip-container) {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-bottom: 40px;
}

.calc-step__title:has(.tooltip-container) .tooltip-container {
    margin-top: 3px;
}

.tooltip-video p {
    display: inline-block;
    margin-bottom: 10px;
    font-weight: 600;
    font-size: 18px;
    line-height: 120%;
    color: #000;
}
.tooltip-video > a {
    display: inline-block;
    margin-bottom: 25px;
    font-weight: 700;
    font-size: 18px;
    line-height: 100%;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    color: #000;
    transition: 0.3s;
}
.tooltip-video > a:hover {
    color: #DE8A03;
}
.tooltip-video__image {
    position: relative;
    overflow: hidden;
    display: block;
    width: 100%;
    margin-bottom: 0;
    padding-bottom: 60%;
}
a.tooltip-video__image {
    margin: 0;
}
a.tooltip-video__image:hover img {
    transform: scale(1.1);
}
.tooltip-video__image img {
    will-change: transform;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.3s;
}
a.tooltip-video__image:hover .play {
    background-color: rgba(253, 198, 80, 1);
}
.tooltip-text:has(.tooltip-video) {
    width: 440px;
    padding: 25px;
}

.play {
    position: absolute;
    overflow: hidden;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 62px;
    height: 62px;
    border-radius: 50%;
    background-color: rgba(253, 198, 80, 0.88);
    transition: 0.3s;
}
.play:hover {
    background-color: rgba(253, 198, 80, 1);
}
.play svg {
    margin-left: 2px;
}

.calc-step__shell {
    display: flex;
    gap: 30px;
    align-items: flex-start;
    justify-content: center;
}
.calc__img {
    flex-shrink: 0;
    width: 500px;
}
.calc__img img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
}
.calc-step__info {
    
}
.calc-step__row {
    margin-bottom: 30px;
}
.calc-step__row .custom-select {
    margin-bottom: 0;
}
.calc-step__info p {
    display: inline-block;
    margin-bottom: 26px;
    line-height: 130%;
    font-weight: 600;
    font-size: 18px;
    color: #000;
}
.calc-step__box {
    display: flex;
    gap: 10px;
}
.calc-step__total {
    flex: 1 1 auto;
    padding: 16px 24px;
    font-weight: 700;
    text-align: center;
    font-size: 26px;
    color: #000;
    line-height: 120%;
    background: rgba(253, 198, 80, 0.2);
    border: 1px solid #fdc650;
    border-radius: 3px;
}
.calc-step__btn {
    margin: 0;
    display: flex;
    align-items: center;
    gap: 10px;
    width: auto;
    min-width: 187px;
    justify-content: center;
    padding: 20px;
    font-weight: 700;
    line-height: 120%;
    font-size: 19px;
    color: #000;
    background: #fdc650;
    border: 1px solid transparent;
    transition: 0.3s;
}
.calc-step__btn:hover {
    color: #000;
    background: transparent;
    border-color: #fdc650;
}
.calc-total__btn {
    display: flex;
    gap: 10px;
    justify-content: center;
}
.calc-total__btn .bottom-box-price-zakaz-btn {
    cursor: pointer;
    text-align: center;
    line-height: 100%;
    transition: 0.3s;
}
.calc__total {
    padding: 40px 45px;
}
.calc__total-details {
    border: 2px solid #ffc82f;
}
.calc-total__sum.calc-detail {
    margin: 10px auto 30px;
}
.calc__total p {
    display: inline-block;
    margin-bottom: 25px;
    font-weight: 600;
    line-height: 140%;
    font-size: 18px;
    text-align: center;
    color: #000;
}
.calc__title {
    max-width: 915px;
    margin: 0 auto 32px;
    font-size: 37px;
}

@media (max-width:1229px) {
    .calc__img {
        width: 400px;
    }
    .calc-step__total {
        font-size: 22px;
    }
    .calc-step__info p,
    .tooltip-video p,
    .tooltip-video > a,
    .calc__total p {
        font-size: 16px;
    }

    .tooltip-text:has(.tooltip-video) {
        width: 400px;
        padding: 20px;
    }
}

@media (max-width:991px) {
    .calc-step {
        margin-bottom: 20px;
    }
    .calc-step__shell {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }
    .calc-step.-border {
        margin-bottom: 20px;
    }
    .calc-step__row .custom-select {
        margin-bottom: 20px;
    }
    .calc__title {
        margin-bottom: 20px;
        font-size: 30px;
    }
    .calc-step__title:has(.tooltip-container) {
        margin-bottom: 25px;
    }
    .calc__img {
        width: auto;
        max-width: 100%;
    }
    .calc-step__info p {
        margin-bottom: 20px;
    }
    .calc-step__title {
        margin-bottom: 20px;
        font-size: 22px;
    }
    .tooltip-info {
        font-size: 16px;
    }
    .tooltip-text:has(.tooltip-video) {
        width: 300px;
        padding: 20px 15px;
    }
    .calc-step__info p,
    .tooltip-video p,
    .tooltip-video > a,
    .calc__total p {
        font-size: 15px;
    }
    .tooltip-video p {
        margin-bottom: 5px;
    }
    .tooltip-video > a {
        margin-bottom: 20px;
    }
    a.tooltip-video__image {
        margin-bottom: 0;
    }
    .play {
        width: 50px;
        height: 50px;
    }
    .play svg {
        width: 15px;
        height: auto;
    }
    .calc-step__total {
        font-size: 20px;
    }
    .calc-step__btn {
        font-size: 17px;
    }

    .calc__total {
        padding: 30px;
    }
    .calc-total__sum.calc-detail {
        margin: 0px auto 20px;
    }
    .calc__total p {
        margin-bottom: 20px;
    }
    .calc-total__btn .bottom-box-price-zakaz-btn {
        font-size: 15px;
    }
    .calc-detail {
        max-width: 100%;
    }
    .calc-detail .tooltip-container {
        left: auto;
        right: 0;
    }
    .calc-detail:has(.tooltip-container).calc-detail{
        padding-right: 30px;
    }
    .calc-detail:has(.tooltip-container):before {
        width: calc(100% - 30px);
    }
    
    
}

@media (max-width:768px) {
    .calc {
        margin: 0 -15px;
    }
    .calc-step__title {
        font-size: 18px;
        line-height: 120%;
    }
    .calc__title {
        margin-bottom: 15px;
        font-size: 23px;
    }
    .calc-step__row {
        margin-bottom: 0;
    }
    .calc-step__title:has(.tooltip-container) {
        flex-direction: column;
        gap: 10px;
        align-items: flex-start;
        text-align: left;
    }
    .calc-step.-border {
        padding: 20px 15px;
    }
    .tooltip-info {
        font-size: 15px;
    }
    .tooltip-container.-bottom .tooltip-text {
        width: 250px;
        left: -15px;
        transform: translate(0%, 100%);
        padding: 10px;
    }
    .tooltip-container.-bottom .tooltip-text::after {
        left: 30px;
        width: 15px;
        height: 15px;
    }
    .calc-step__info p, .tooltip-video p, .tooltip-video > a, .calc__total p {
        font-size: 14px;
    }
    .calc-step__box {
        flex-direction: column;
    }

    .calc__details, .calc__total {
        padding: 15px 10px;
    }
    .calc-total__sum.calc-detail span {
        font-size: 20px;
    }
    .calc-detail__value span {
        font-size: 18px;
    }
    .calc-total__sum.calc-detail {
        margin: 0 auto 15px;
    }
    .calc-total__btn .bottom-box-price-zakaz-btn {
        padding: 20px;
        font-size: 16px;
        height: auto;
    }
    .calc-step__total {
        padding: 15px;
        font-size: 20px;
    }
    .calc-step__btn {
        padding: 15px;
        font-size: 16px;
    }
}

/*.--disabled {
    pointer-events: none;
}*/

.--opacity {
   opacity: 0; 
}

.calc-step__total span {
   font-size: 19px;
}

.custom-select {
    border: 1px solid #ffc82f;
}

.custom-select__placeholder {
    color: #000;
    font-weight: bold;
}

.error-message {
    margin-top: 8px;
    padding: 8px 12px;
    background: #fdecea;
    color: #e74c3c;
    border: 1px solid #f5c6cb;
    border-radius: 4px;
    font-size: 14px;
    line-height: 1.4;

    opacity: 0;
    transform: translateY(-5px);
    animation: fadeInError 0.2s ease forwards;
}

@keyframes fadeInError {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/*@media (max-width: 991px) {
    .calc-step .row {
        margin-left: 0px;
        margin-right: 0px;
    }
    .calc-step .col-md-6 {
        padding-left: 0px;
        padding-right: 0px;
    }
}*/
